6.0.0-git
2021-01-24

[#3452] oci8 session_handler
Summary oci8 session_handler
Queue Horde Base
Queue Version 3.1-RC2
Type Bug
State Resolved
Priority 2. Medium
Owners chuck (at) horde (dot) org
Requester m.wessler (at) gmx (dot) ch
Created 2006-02-10 (5462 days ago)
Due
Updated 2008-02-11 (4731 days ago)
Assigned 2006-12-14 (5155 days ago)
Resolved 2007-01-22 (5116 days ago)
Milestone
Patch No

History
2008-02-11 15:34:01 m (dot) wessler (at) gmx (dot) ch Comment #24 Reply to this comment
well ..... :-(

there is noch white screen. The sidebar is there, but noch app in it 
(hide and unhide works ). I tested some prints but I am not a 
programmer and the script seems to be working. I think that the 
sidebar.php can't get information about the app that are working in 
this session.
2008-02-11 03:06:46 Matt Selsky Comment #23 Reply to this comment
Add print statements until you find the line that makes the code stop 
and give you a white screen...
2008-02-03 15:53:16 mwessler (at) gmx (dot) ch Comment #22 Reply to this comment
Hi Chuck/Jan,



I know that Jan has closed this Case, but after a long time this bug 
still exist ! Everything works fine but if you want to user the Oracle 
Sessionhandler there is a empty sidebar. Last

Answer from Chuck is to trace the sidebar.php ( but how ? ). Thank you 
for the answer.



......



Horde  Horde (horde)  3.2-RC1
Given that it works for me on the only oracle server I have available
(a parallels virtual machine), I'm going to need a hand with this,
then... can you please trace through the sidebar.php script to see
how far it gets, and where it dies?
2007-01-22 16:53:54 Jan Schneider Comment #21
Assigned to Chuck Hagenbuch
State ⇒ Resolved
Reply to this comment
No feedback.
2006-12-14 02:26:51 Chuck Hagenbuch Comment #20
State ⇒ Feedback
Reply to this comment
Given that it works for me on the only oracle server I have available 
(a parallels virtual machine), I'm going to need a hand with this, 
then... can you please trace through the sidebar.php script to see how 
far it gets, and where it dies?
2006-12-04 18:34:43 m (dot) wessler (at) gmx (dot) ch Comment #19 Reply to this comment
I don't know, but I ithink so. The default (file-based) work's.

( the install I made was an fresh on a new instance with emty tables )




2006-12-04 16:54:33 Chuck Hagenbuch Comment #18
Taken from Matt Selsky
Priority ⇒ 2. Medium
Reply to this comment
Are you sure that's related to the session handler?
2006-12-03 13:46:01 m (dot) wessler (at) gmx (dot) ch Comment #17 Reply to this comment
hi chuck, it works ( horde-webmail-1.0-rc2 with replaced oci8.php ) 
but there is no sidebar on the left side.
I just rewrote the oci8 session handler and it's working for me in
HEAD. Fixes will be in Horde 3.1.4 as well.
2006-11-24 04:30:41 Chuck Hagenbuch Comment #16
State ⇒ Resolved
Reply to this comment
I just rewrote the oci8 session handler and it's working for me in 
HEAD. Fixes will be in Horde 3.1.4 as well.
2006-11-24 04:28:08 Chuck Hagenbuch Deleted Original Message
 
2006-02-28 15:00:05 m (dot) wessler (at) gmx (dot) ch Comment #15 Reply to this comment
Is there a solution ? Please help me.
2006-02-15 15:05:34 Jan Schneider Comment #14
Assigned to Matt Selsky
State ⇒ Assigned
Reply to this comment
Matt, can you test this with your Oracle server?
2006-02-15 14:27:48 m (dot) wessler (at) gmx (dot) ch Comment #13 Reply to this comment
this is the last, what the oci8.php does


2006-02-10 19:56:53 m (dot) wessler (at) gmx (dot) ch Comment #12 Reply to this comment
o.k. I made the changes by hand. No success



Feb 10 20:57:04 HORDE [debug] [horde] SQL Query by 
SessionHandler_oci8::read(): query = "SELECT session_data FROM 
horde_sessionhandler WHERE session_id = 
'c955939803970e11d16c42347ee9b886' FOR UPDATE" [on line 82 of 
"/usr/share/horde-3.1-rc2/lib/Horde/SessionHandler/oci8.php"]
2006-02-10 19:41:50 m (dot) wessler (at) gmx (dot) ch Comment #11 Reply to this comment
this are the versions from the release I use:



$Horde: framework/SessionHandler/SessionHandler/oci8.php,v 1.8.4.10 
2006/01/01 21:28:34 jan Exp $



<!-- $Horde: horde/config/conf.xml,v 1.74.2.27 2006/01/18 23:18:02 jan 
Exp $ -->
2006-02-10 19:28:45 m (dot) wessler (at) gmx (dot) ch Comment #10 Reply to this comment
some problems:



mail:/usr/share/horde3/config# patch conf.xml /tmp/patch_conf.xml

patching file conf.xml

Hunk #1 FAILED at 1.

Hunk #2 FAILED at 1054.

2 out of 2 hunks FAILED -- saving rejects to file conf.xml.rej



mail:/usr/share/horde3/lib/Horde/SessionHandler# patch oci8.php /tmp/patch_oci

patching file oci8.php

Hunk #1 FAILED at 19.

Hunk #2 FAILED at 288.

2 out of 2 hunks FAILED -- saving rejects to file oci8.php.rej




2006-02-10 18:51:51 m (dot) wessler (at) gmx (dot) ch Comment #9 Reply to this comment
i need 30min. Can I contact you at 20:30 or 21:00 again ? ( CET )
Try these patches, and regenerate the session handler configuration:
http://lists.horde.org/archives/cvs/Week-of-Mon-20060206/054645.html
2006-02-10 18:43:55 Jan Schneider Comment #8 Reply to this comment
Try these patches, and regenerate the session handler configuration:

http://lists.horde.org/archives/cvs/Week-of-Mon-20060206/054645.html
2006-02-10 18:38:49 m (dot) wessler (at) gmx (dot) ch Comment #7 Reply to this comment
I take a look at 3.1RC2 it's o.k.


2006-02-10 18:37:48 m (dot) wessler (at) gmx (dot) ch Comment #6 Reply to this comment
At version 3.0.9 ( from debian ) create.oci8.sql
Like in create.oci8.sql and horde_vfs.oci8.sql?
2006-02-10 18:29:44 Jan Schneider Comment #5 Reply to this comment
The next error I found is with gollem. To use it, in the table horde_vfs the
column vfs_data must be change to BLOB. Then it work's fine !
Like in create.oci8.sql and horde_vfs.oci8.sql?
2006-02-10 18:27:16 Jan Schneider Comment #4
Version ⇒ 3.1-RC2
Reply to this comment
I meant the version number you picked up at this bug tracker.
2006-02-10 18:21:54 m (dot) wessler (at) gmx (dot) ch Comment #3 Reply to this comment
hello jan,



no I think not. But after I sleepless night on my keyboard.... :-)



O.k. normal:

First I tried the debian release 3.0.9 from the package tree with no sucess.

Then I made a new DB and tried horde-3.1-rc2.tar.gz from horde.org 
with no sucess.
Did you pick the wrong version number?
2006-02-10 18:05:50 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Did you pick the wrong version number?
2006-02-10 18:00:09 m (dot) wessler (at) gmx (dot) ch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ oci8 session_handler
Queue ⇒ Horde Base
New Attachment: errors.gz
Reply to this comment
Hello,



I've some problems with the oci-sessionhandler. ( All of the Rest in 
Horde works fine with oci !).

I changed SessionHandler/oci8.php from hostspec to database, so the 
error ( Could not connect to database for SQL SessionHandler ) was 
fixed. See below:



if (!is_resource($this->_db = @$connect($this->_params['username'],

                                                 $this->_params['password'],

                                                 $this->_params['database'])))



The script SessionHandler/oci8.php seems to work, but not probably. ( 
See errors.gz )

The login is a blank screen with no session_id in the url !



I hope you will help me please :-)



The next error I found is with gollem. To use it, in the table horde_vfs the

column vfs_data must be change to BLOB. Then it work's fine !

Saved Queries